<?php

/* start/stop sshd (dropbear) daemon */

define('AUTOSTART_DIR', '/config/boot');
define('AUTOSTART_SCRIPT', '/config/boot/dropbear');

function start_sshd()
{
    $autostart_dir = dirname(AUTOSTART_SCRIPT);
    if(!is_dir($autostart_dir)) mkdir($autostart_dir);
    file_put_contents(AUTOSTART_SCRIPT, "#!/bin/sh\n" . DuneSystem::$properties['install_dir_path'] . "/bin/sshd.sh");
    chmod(AUTOSTART_SCRIPT, 0755);
    if(!is_executable(DuneSystem::$properties['install_dir_path'] . "/bin/sshd.sh")) 
	chmod(DuneSystem::$properties['install_dir_path'] . "/bin/sshd.sh", 0755);
    exec('sync');
    exec(AUTOSTART_SCRIPT . " 2>&1 >/dev/null");
}

function stop_sshd()
{
    if(!is_executable(DuneSystem::$properties['install_dir_path'] . "/bin/sshd.sh")) 
	chmod(DuneSystem::$properties['install_dir_path'] . "/bin/sshd.sh", 0755);
    exec(DuneSystem::$properties['install_dir_path'] . "/bin/sshd.sh stop");
    if(file_exists(AUTOSTART_SCRIPT))
	unlink(AUTOSTART_SCRIPT);
    exec('sync');
}


?>