#!/bin/sh

# Собирает статистику просмотра телеканалов

CGI=/firmware/ext_command/cgi-bin/do
export LD_LIBRARY_PATH=/firmware/lib

if [ ! -f $CGI ]; then
    exit
fi

do_work() {
    $CGI | awk '
    /name="playback_state"/ && /value="playing"/{playing=1}
    /name="playback_url"/&&/value=/ {
	if(match($0, /value="[a-zA-Z0-9\/.:@]+/))
	{
	    l = length("/value=\"") - 1
	    url = substr($0, RSTART+l, RLENGTH-l)
	}
    }

    END {
	if(playing) {
	    getline < "/sys/class/net/eth0/address"
	    print "stat " $0 " " url > "/dev/udp/middleware.speedyline.ru/99901"
	}
    }'
}

do_work